
# Garage

## Installation

### Main app

Create app

    dokku apps:create objstorage

Setup internal network

    dokku network:create objstorage_net
    dokku network:set code attach-post-create objstorage_net

Deploy image

    dokku git:from-image automation glenux/service-garage:xxxx

Setup proxy

    dokku proxy:ports-clear objstorage

Setup storage

    dokku storage:mount objstorage /var/lib/dokku/data/storage/cloud/apps:/var/www/html/apps

Restart

    dokku ps:restart objstorage

### Web relay

Create app

    dokku apps:create objstorage-web

Setup internal network

    dokku network:set objstorage-web attach-post-create objstorage_net

Setup domain

    dokku domains:add objstorage-web web.apps.example.com
    dokku domains:add objstorage-web *.web.apps.example.com

Setup proxy

    dokku proxy:ports-clear objstorage-web
    dokku proxy: FIXME: setup proxy ports

Setup TLS

    dokku config:set --no-restart objstorage-web DOKKU_LETSENCRYPT_EMAIL=username@example.com
    dokku letsencrypt:enable objstorage-web


Configure docker options

    dokku config:set objstorage-web DOKKU_DOCKERFILE_START_CMD="tcp-listen:FIXME:port,fork,reuseaddr tcp-connect:objstorage:FIXME:port"

Deploy image

    dokku git:from-image objstorage-web alpine/socat:xxxx

Restart

    dokku ps:restart objstorage-web

### S3 relay

Create app

    dokku apps:create objstorage-s3

Setup internal network

    dokku network:set objstorage-web attach-post-create objstorage_net

Deploy image

    dokku git:from-image objstorage-s3 alpine/socat:xxxx

Setup domain

    dokku domains:add objstorage s3.apps.example.com
    dokku domains:add objstorage *.s3.apps.example.com

Setup proxy

    dokku proxy:ports-clear objstorage-web
    dokku proxy: FIXME: setup proxy ports

Setup TLS

    dokku config:set --no-restart objstorage DOKKU_LETSENCRYPT_EMAIL=username@example.com
    dokku letsencrypt:enable objstorage-s3

Configure docker options

    dokku config:set objstorage-web DOKKU_DOCKERFILE_START_CMD="tcp-listen:FIXME:port,fork,reuseaddr tcp-connect:objstorage:FIXME:port"

Restart

    dokku ps:restart objstorage-s3

